SaveRCtbn <- function (xpCtbn, pathfile)
{
  vars     <- GetCtbnVars(xpCtbn)
  bn.str   <- GetBnStruct(xpCtbn)
  bn.cpts  <- GetBnCPTs(xpCtbn)
  dyn.str  <- GetDynStruct(xpCtbn)
  dyn.cims <- GetDynIntMats(xpCtbn)
  
  s.tags <- c("<VARS>","<BNSTRUCT>","<BNCPTS>","<DYNSTRUCT>","<DYNCIMS>")
  e.tags <- c("</VARS>","</BNSTRUCT>","</BNCPTS>","</DYNSTRUCT>","</DYNCIMS>")
  
  write (s.tags[1], file=pathfile, append=FALSE)
  suppressWarnings(write.table (vars,  file=pathfile, sep=",", append=TRUE, col.names=TRUE, quote=FALSE, row.names=FALSE))
  write (e.tags[1], file=pathfile, append=TRUE)
  write (s.tags[2], file=pathfile, append=TRUE)
  suppressWarnings(write.table (bn.str,  file=pathfile, sep=",", append=TRUE, col.names=TRUE, quote=FALSE, row.names=FALSE))
  write (e.tags[2], file=pathfile, append=TRUE)
  write (s.tags[3], file=pathfile, append=TRUE)
  WriteProbStruct(bn.cpts,pathfile=pathfile, append=TRUE)
  write (e.tags[3], file=pathfile, append=TRUE)
  write (s.tags[4], file=pathfile, append=TRUE)
  suppressWarnings(write.table (dyn.str,  file=pathfile, sep=",", append=TRUE, col.names=TRUE, quote=FALSE, row.names=FALSE))
  write (e.tags[4], file=pathfile, append=TRUE)
  write (s.tags[5], file=pathfile, append=TRUE)
  WriteProbStruct(dyn.cims,pathfile=pathfile, append=TRUE)
  write (e.tags[5], file=pathfile, append=TRUE)
  
  return("Saved.")
}
