WriteProbStruct <- function (prob.struct, pathfile, append=FALSE)
{
  l.lst <- length(prob.struct)
  app   <- append
  
  for (n in 1:l.lst)
  { 
    node   <- names( prob.struct [n])
    l.node <- length(prob.struct[[n]])
    pas    <- names (prob.struct[[n]])
    
    for (k in 1:l.node)
    { 
      row <- paste(node, pas[k], sep="$")
      df  <- prob.struct[[n]][[k]]
      write (row, file=pathfile, append=app)
      if (!app)
        app <- TRUE
      ind <- "Mat"
      if (nrow(df)==1)
        ind <- "Vec"
      
      write (paste(c(ind, names(df)), collapse=","), file=pathfile, append=app)
      write.table (df, file=pathfile, sep=",", append=app, col.names=FALSE)
    }
  }
}
