LearnCtbnStruct <- function (xpCtbn, trjs, alpha=1.0, tau=0.1, inf.type="exact", num.samples=100, burn.iters=100, eps=1e-5, inf.engine=NULL)
{ 
  if (is.null(inf.engine))
  {
    inf.engine <- NewInfEngine(inf.type, num.samples, burn.iters, eps)
    x          <- .Call ("learnCtbnStruct", xpCtbn, trjs, alpha, tau, inf.engine)
    inf.engine <- DeleteInfEngine(inf.engine)
    return(x);
  }
  else
  {
    return(.Call ("learnCtbnStruct", xpCtbn, trjs, alpha, tau, inf.engine))
  }
}
