QueryCtbnStats <- function (xpCtbn, evid, vars, inf.type="exact", num.samples=100, burn.iters=100, eps=1e-5, inf.engine=NULL)
{
  if (is.null(inf.engine))
  {
    inf.engine <- NewInfEngine(inf.type, num.samples, burn.iters, eps)
    x          <- .Call ("queryCtbnStats", xpCtbn, evid, vars, inf.engine)
    inf.engine <- DeleteInfEngine(inf.engine)
    return(x)
  }
  else
  {
    return(.Call ("queryCtbnStats", xpCtbn, evid, vars, inf.engine))
  }
}
